Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.nativelibs4java.mono
Class MonoArrayType

    java.lang.Object
      com.sun.jna.Structure
          com.ochafik.lang.jnaerator.runtime.Structure<MonoArrayType,MonoArrayType.ByValue,MonoArrayType.ByReference>
              com.nativelibs4java.mono.MonoArrayType

All Implemented Interfaces:
  StructureType, StructureTypeDependent, java.lang.Comparable<Structure<MonoArrayType,MonoArrayType.ByValue,MonoArrayType.ByReference>>

Direct Known Subclasses:
  MonoArrayType.ByReference, MonoArrayType.ByValue

    public class MonoArrayType

extends Structure<MonoArrayType,MonoArrayType.ByValue,MonoArrayType.ByReference>

native declaration : mono\metadata\metadata.h:314
This file was autogenerated by JNAerator,
a tool written by Olivier Chafik that uses a few opensource projects..
For help, please visit NativeLibs4Java, Rococoa, or JNA.

Nested Class Summary
`static class` | `MonoArrayType.ByReference`
`static class` | `MonoArrayType.ByValue`

Field Summary
`MonoLibrary.MonoClass` | `eklass`
`IntByReference` | `lobounds`
`byte` | `numlobounds`
`byte` | `numsizes`
`byte` | `rank`
`IntByReference` | `sizes`

Fields inherited from class com.sun.jna.Structure
`ALIGN_DEFAULT, ALIGN_GNUC, ALIGN_MSVC, ALIGN_NONE, CALCULATE_SIZE`

Constructor Summary
`MonoArrayType()`
`MonoArrayType(MonoLibrary.MonoClass eklass, byte rank, byte numsizes, byte numlobounds, IntByReference sizes, IntByReference lobounds)`

Method Summary
`protected MonoArrayType.ByReference` | `newByReference()`
`protected MonoArrayType.ByValue` | `newByValue()`
`protected MonoArrayType` | `newInstance()`

Methods inherited from class com.ochafik.lang.jnaerator.runtime.Structure
`byReference, byValue, clone, compareTo, getBitsAnnotation, read, readDependency, setDependency, setupClone, toArray, toArray, toArray, toReferenceArray, toReferenceArray, toValueArray, toValueArray, useMemory, write`

Methods inherited from class com.sun.jna.Structure
`allocateMemory, allocateMemory, autoRead, autoWrite, cacheTypeInfo, clear, ensureAllocated, equals, getAutoRead, getAutoWrite, getFieldOrder, getNativeAlignment, getPointer, getStructAlignment, hashCode, newInstance, readField, setAlignType, setAutoRead, setAutoSynch, setAutoWrite, setFieldOrder, setTypeMapper, size, sortFields, toString, useMemory, writeField, writeField`

Methods inherited from class java.lang.Object
`finalize, getClass, notify, notifyAll, wait, wait, wait`

Methods inherited from interface com.ochafik.lang.jnaerator.runtime.StructureType
`getPointer, size`

Field Detail

### eklass

    public MonoLibrary.MonoClass eklass

### rank

    public byte rank

### numsizes

    public byte numsizes

### numlobounds

    public byte numlobounds

### sizes

    public IntByReference sizes

### lobounds

    public IntByReference lobounds

Constructor Detail

### MonoArrayType

    public MonoArrayType()

### MonoArrayType

    public MonoArrayType(MonoLibrary.MonoClass eklass,
                         byte rank,
                         byte numsizes,
                         byte numlobounds,
                         IntByReference sizes,
                         IntByReference lobounds)

Method Detail

### newByReference

    protected MonoArrayType.ByReference newByReference()

  Specified by:
    `newByReference` in class `Structure<MonoArrayType,MonoArrayType.ByValue,MonoArrayType.ByReference>`

### newByValue

    protected MonoArrayType.ByValue newByValue()

  Specified by:
    `newByValue` in class `Structure<MonoArrayType,MonoArrayType.ByValue,MonoArrayType.ByReference>`

### newInstance

    protected MonoArrayType newInstance()

  Specified by:
    `newInstance` in class `Structure<MonoArrayType,MonoArrayType.ByValue,MonoArrayType.ByReference>`

Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD